OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_TranslateVertexLoop Class Reference

`#include <StepToTopoDS_TranslateVertexLoop.hxx>`

Inheritance diagram for StepToTopoDS_TranslateVertexLoop:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToTopoDS_TranslateVertexLoop ()
Standard_EXPORT | StepToTopoDS_TranslateVertexLoop (const Handle(StepShape_VertexLoop)&VL, StepToTopoDS_Tool &T)
Standard_EXPORT void | Init (const Handle(StepShape_VertexLoop)&VL, StepToTopoDS_Tool &T)
Standard_EXPORT const TopoDS_Shape & | Value () const
Standard_EXPORT StepToTopoDS_TranslateVertexLoopError | Error () const
## Private Attributes
StepToTopoDS_TranslateVertexLoopError | myError
TopoDS_Shape | myResult

## Constructor & Destructor Documentation

Standard_EXPORT StepToTopoDS_TranslateVertexLoop::StepToTopoDS_TranslateVertexLoop | ( |  | ) |

Standard_EXPORT StepToTopoDS_TranslateVertexLoop::StepToTopoDS_TranslateVertexLoop | ( | const Handle(StepShape_VertexLoop)& | VL,
|  | StepToTopoDS_Tool & | T
| ) |

## Member Function Documentation

Standard_EXPORT StepToTopoDS_TranslateVertexLoopError StepToTopoDS_TranslateVertexLoop::Error | ( |  | ) | const

Standard_EXPORT void StepToTopoDS_TranslateVertexLoop::Init | ( | const Handle(StepShape_VertexLoop)& | VL,
|  | StepToTopoDS_Tool & | T
| ) |

void StepToTopoDS_TranslateVertexLoop::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

void* StepToTopoDS_TranslateVertexLoop::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

void* StepToTopoDS_TranslateVertexLoop::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

Standard_EXPORT const TopoDS_Shape& StepToTopoDS_TranslateVertexLoop::Value | ( |  | ) | const

## Field Documentation

StepToTopoDS_TranslateVertexLoopError StepToTopoDS_TranslateVertexLoop::myError`[private]`

TopoDS_Shape StepToTopoDS_TranslateVertexLoop::myResult`[private]`

The documentation for this class was generated from the following file:

- StepToTopoDS_TranslateVertexLoop.hxx